kr.co.hanwha.hifive.data.model

## Class MainProjectRoot

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.MainProjectRoot

-     public class MainProjectRoot
      extends BaseData

  Created by sanghoonkwon on 2018. 2. 20..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.ArrayList<ProjectCampaignsInfo>` | `listProjectCampaignsInfo`
    `(package private) java.util.ArrayList<ProjectCounterMeasuresInfo>` | `listProjectCountermeasuresInfo`
    `(package private) java.util.ArrayList<ProjectMembersInfo>` | `listProjectMembersInfo`
    `(package private) ProjectInfo` | `projectInfo`

    - ### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

      `rtn_code, rtn_message, server_time`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainProjectRoot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<ProjectCampaignsInfo>` | `getListProjectCampaignsInfo()`
    `java.util.ArrayList<ProjectCounterMeasuresInfo>` | `getListProjectCountermeasuresInfo()`
    `java.util.ArrayList<ProjectMembersInfo>` | `getListProjectMembersInfo()`
    `ProjectInfo` | `getProjectInfo()`

    - ### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

      `getRtn_code, getRtn_message, getServer_time, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### listProjectMembersInfo

          java.util.ArrayList<ProjectMembersInfo> listProjectMembersInfo

    - #### projectInfo

          ProjectInfo projectInfo

    - #### listProjectCampaignsInfo

          java.util.ArrayList<ProjectCampaignsInfo> listProjectCampaignsInfo

    - #### listProjectCountermeasuresInfo

          java.util.ArrayList<ProjectCounterMeasuresInfo> listProjectCountermeasuresInfo

  - ### Constructor Detail

    - #### MainProjectRoot

          public MainProjectRoot()

  - ### Method Detail

    - #### getListProjectMembersInfo

          public java.util.ArrayList<ProjectMembersInfo> getListProjectMembersInfo()

    - #### getProjectInfo

          public ProjectInfo getProjectInfo()

    - #### getListProjectCampaignsInfo

          public java.util.ArrayList<ProjectCampaignsInfo> getListProjectCampaignsInfo()

    - #### getListProjectCountermeasuresInfo

          public java.util.ArrayList<ProjectCounterMeasuresInfo> getListProjectCountermeasuresInfo()